**STRUCT**

# `StatusPage`

A status page widget.

## Properties
### `title`

The title.

### `description`

The description.

### `icon`

The icon.

### `content`

Additional content.

## Methods
### `init(_:icon:description:content:)`

Initialize a status page widget.
- Parameters:
  - title: The title.
  - icon: The icon.
  - description: Additional details.
  - content: Additional content.

### `update(_:modifiers:)`

Update the view storage of the text widget.
- Parameters:
    - storage: The view storage.
    - modifiers: Modify views before being updated.

### `container(modifiers:)`

Get the container of the text widget.
- Parameter modifiers: Modify views before being updated.
- Returns: The view storage.
